# boost::numeric::ublas::c_vector< T, N >::iterator Class Reference

List of all members.

## Public Types

typedef c_vector::difference_type | difference_type
typedef c_vector::value_type | value_type
typedef c_vector::reference | reference
typedef c_vector::pointer | pointer

## Public Member Functions

BOOST_UBLAS_INLINE | iterator (self_type &v, const subiterator_type &it)
BOOST_UBLAS_INLINE iterator & | operator++ ()
BOOST_UBLAS_INLINE iterator & | operator-- ()
BOOST_UBLAS_INLINE iterator & | operator+= (difference_type n)
BOOST_UBLAS_INLINE iterator & | operator-= (difference_type n)
BOOST_UBLAS_INLINE difference_type | operator- (const iterator &it) const
BOOST_UBLAS_INLINE reference | operator* () const
BOOST_UBLAS_INLINE reference | operator[] (difference_type n) const
BOOST_UBLAS_INLINE size_type | index () const
BOOST_UBLAS_INLINE iterator & | operator= (const iterator &it)
BOOST_UBLAS_INLINE bool | operator== (const iterator &it) const
BOOST_UBLAS_INLINE bool | operator< (const iterator &it) const

## Friends

class | const_iterator

### template<class T, std::size_t N>
class boost::numeric::ublas::c_vector< T, N >::iterator